-- 	Subsoiler Script. For configuration purposes.
--
-- 	Author: 	Silas770
-- 	Date:		21.04.2020
--	Version:	1.0.0.0 (FS19)
--

Subsoiler = {};

function Subsoiler.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Cultivator, specializations);
end;

function Subsoiler.registerEventListeners(vehicleType)
	SpecializationUtil.registerEventListener(vehicleType, "onLoad", Subsoiler);
	SpecializationUtil.registerEventListener(vehicleType, "onPostLoad", Subsoiler);
end;

function Subsoiler:onLoad(savegame)
	local powerConsumerSpec = self.spec_powerConsumer;
	if powerConsumerSpec ~= nil then
		powerConsumerSpec.subsoilerMultiplier = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.powerConsumer#subsoilerMultiplier"), 1.0);
	end;
end;

function Subsoiler:onPostLoad(savegame)
	local cultivatorSpec = self.spec_cultivator;
	cultivatorSpec.isSubsoiler = true;
	
	local powerConsumerSpec = self.spec_powerConsumer;
	if powerConsumerSpec ~= nil then
		powerConsumerSpec.maxForce = powerConsumerSpec.maxForce * powerConsumerSpec.subsoilerMultiplier;
	end;
end;